Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statsvn.util.svnkit
Class SvnKitProcessor

    java.lang.Object
      net.sf.statsvn.util.svnkit.SvnKitProcessor

All Implemented Interfaces:
  ISvnProcessor

    public class SvnKitProcessor

extends Object
implements ISvnProcessor

Base svnkit processor.

Author:
  jkealey, yogesh

Constructor Summary
`SvnKitProcessor()`

Method Summary
`File` | `getCheckoutDirectory()`
`ISvnDiffProcessor` | `getDiffProcessor()`
`ISvnInfoProcessor` | `getInfoProcessor()`
`org.tmatesoft.svn.core.wc.SVNClientManager` | `getManager()`
`ISvnPropgetProcessor` | `getPropgetProcessor()`
`ISvnVersionProcessor` | `getVersionProcessor()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SvnKitProcessor

    public SvnKitProcessor()

Method Detail

### getCheckoutDirectory

    public File getCheckoutDirectory()

### getDiffProcessor

    public ISvnDiffProcessor getDiffProcessor()

  Specified by:
    `getDiffProcessor` in interface `ISvnProcessor`

### getInfoProcessor

    public ISvnInfoProcessor getInfoProcessor()

  Specified by:
    `getInfoProcessor` in interface `ISvnProcessor`

### getManager

    public org.tmatesoft.svn.core.wc.SVNClientManager getManager()

### getPropgetProcessor

    public ISvnPropgetProcessor getPropgetProcessor()

  Specified by:
    `getPropgetProcessor` in interface `ISvnProcessor`

### getVersionProcessor

    public ISvnVersionProcessor getVersionProcessor()

  Specified by:
    `getVersionProcessor` in interface `ISvnProcessor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD